[egenix-users] Still can't install mxODBCZopeDA on plone 3.1.1 buildout

M.-A. Lemburg mal at egenix.com
Thu May 22 22:03:35 CEST 2008

On 2008-05-22 19:24, Cliff Quinn wrote:
> Thanks for the response. You're right that I have been using the
> buildout recipe to install mxodbc in my Plone. I just thought that if it
> was installed I could just drop the ZopeDA into products and it would
> work fine.
> I had also tried installing mx-base and mxodbc using the standalone
> installation procedure from your site (without using the buildout). I
> assumed they would be compatible with the ZopeDA and tried it this way
> but got the same error.
> So I now have managed to get the DA installed into Zope - bypassing the
> buildout part entirely and manually copying the mx folder from the zip
> (which includes the mx-base installation) to
> /usr/lib/python2.4/site-packages
> Are the licenses I have not acceptable in the current mxodbc?

The mxODBC Zope DA licenses will only work with the Zope DA,
not the stand-alone mxODBC version. However, the Zope DA does
provide a regular Python interface as well and unlike the
stand-alone version, this interface is integrated into the
Zope transaction system.

Sorry again, for all the trouble.

Marc-Andre Lemburg

Professional Python Services directly from the Source  (#1, May 22 2008)
 >>> Python/Zope Consulting and Support ...        http://www.egenix.com/
 >>> mxODBC.Zope.Database.Adapter ...             http://zope.egenix.com/
 >>> mxODBC, mxDateTime, mxTextTools ...        http://python.egenix.com/

:::: Try mxODBC.Zope.DA for Windows,Linux,Solaris,MacOSX for free ! ::::

    eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
     D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
            Registered at Amtsgericht Duesseldorf: HRB 46611

More information about the egenix-users mailing list